Bug 1944171 - [abrt] systemd: selabel_lookup_common(): systemd killed by SIGSEGV
Summary: [abrt] systemd: selabel_lookup_common(): systemd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f98e2fb4927ee3f52a1ed7c2024...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-29 13:15 UTC by Jasper van den Hoven
Modified: 2021-05-27 01:04 UTC (History)
10 users (show)

Fixed In Version: systemd-246.14-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-27 01:04:25 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.25 KB, text/plain)
2021-03-29 13:15 UTC, Jasper van den Hoven
no flags Details
File: cgroup (72 bytes, text/plain)
2021-03-29 13:15 UTC, Jasper van den Hoven
no flags Details
File: core_backtrace (5.34 KB, text/plain)
2021-03-29 13:15 UTC, Jasper van den Hoven
no flags Details
File: cpuinfo (2.29 KB, text/plain)
2021-03-29 13:15 UTC, Jasper van den Hoven
no flags Details
File: dso_list (3.90 KB, text/plain)
2021-03-29 13:15 UTC, Jasper van den Hoven
no flags Details
File: environ (342 bytes, text/plain)
2021-03-29 13:15 UTC, Jasper van den Hoven
no flags Details
File: exploitable (82 bytes, text/plain)
2021-03-29 13:15 UTC, Jasper van den Hoven
no flags Details
File: limits (1.29 KB, text/plain)
2021-03-29 13:16 UTC, Jasper van den Hoven
no flags Details
File: maps (25.27 KB, text/plain)
2021-03-29 13:16 UTC, Jasper van den Hoven
no flags Details
File: mountinfo (3.18 KB, text/plain)
2021-03-29 13:16 UTC, Jasper van den Hoven
no flags Details
File: open_fds (19.33 KB, text/plain)
2021-03-29 13:16 UTC, Jasper van den Hoven
no flags Details
File: proc_pid_status (1.38 KB, text/plain)
2021-03-29 13:16 UTC, Jasper van den Hoven
no flags Details
File: var_log_messages (678 bytes, text/plain)
2021-03-29 13:16 UTC, Jasper van den Hoven
no flags Details

Description Jasper van den Hoven 2021-03-29 13:15:40 UTC
Description of problem:
When attempting to install Docker to my Lenovo W530 Thinkpad the screen went black, then lit up again showing a TTY style prompt which did not allow me take further actions.
Trying to get back into the X server or other TTYs was not successful leading me force the machine to turn off. Upon rebooting the machine a Problem Reporting pop-up was shown indicating that systemd had exited.

Version-Release number of selected component:
systemd-246.13-1.fc33

Additional info:
reporter:       libreport-2.14.0
backtrace_rating: 4
cmdline:        /usr/lib/systemd/systemd --user
crash_function: selabel_lookup_common
executable:     /usr/lib/systemd/systemd
journald_cursor: s=3b7687a32a124255a4700475154b5e0a;i=1422f;b=ca657cffd88545d98cb9cb812abd854d;m=14af5955;t=5beac4d516b20;x=fb4ed545366505dc
kernel:         5.11.10-200.fc33.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 selabel_lookup_common at label.c:167
 #1 selabel_lookup_raw at label.c:256
 #2 selinux_create_file_prepare_abspath at ../src/basic/selinux-util.c:368
 #3 mac_selinux_create_file_prepare at ../src/basic/selinux-util.c:431
 #4 symlink_atomic_label at ../src/basic/label.c:55
 #5 unit_export_invocation_id at ../src/core/unit.c:5673
 #6 unit_export_state_files at ../src/core/unit.c:5841
 #8 unit_prepare_exec at ../src/core/unit.c:5926
 #10 service_spawn at ../src/core/service.c:1461
 #11 service_enter_start at ../src/core/service.c:2156

Comment 1 Jasper van den Hoven 2021-03-29 13:15:45 UTC
Created attachment 1767338 [details]
File: backtrace

Comment 2 Jasper van den Hoven 2021-03-29 13:15:47 UTC
Created attachment 1767339 [details]
File: cgroup

Comment 3 Jasper van den Hoven 2021-03-29 13:15:49 UTC
Created attachment 1767340 [details]
File: core_backtrace

Comment 4 Jasper van den Hoven 2021-03-29 13:15:51 UTC
Created attachment 1767341 [details]
File: cpuinfo

Comment 5 Jasper van den Hoven 2021-03-29 13:15:53 UTC
Created attachment 1767342 [details]
File: dso_list

Comment 6 Jasper van den Hoven 2021-03-29 13:15:55 UTC
Created attachment 1767343 [details]
File: environ

Comment 7 Jasper van den Hoven 2021-03-29 13:15:58 UTC
Created attachment 1767344 [details]
File: exploitable

Comment 8 Jasper van den Hoven 2021-03-29 13:16:00 UTC
Created attachment 1767345 [details]
File: limits

Comment 9 Jasper van den Hoven 2021-03-29 13:16:03 UTC
Created attachment 1767346 [details]
File: maps

Comment 10 Jasper van den Hoven 2021-03-29 13:16:06 UTC
Created attachment 1767347 [details]
File: mountinfo

Comment 11 Jasper van den Hoven 2021-03-29 13:16:09 UTC
Created attachment 1767348 [details]
File: open_fds

Comment 12 Jasper van den Hoven 2021-03-29 13:16:12 UTC
Created attachment 1767349 [details]
File: proc_pid_status

Comment 13 Jasper van den Hoven 2021-03-29 13:16:16 UTC
Created attachment 1767350 [details]
File: var_log_messages

Comment 15 Fedora Update System 2021-03-31 09:18:49 UTC
FEDORA-2021-8595b30af3 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-8595b30af3

Comment 16 Fedora Update System 2021-04-01 02:04:13 UTC
FEDORA-2021-8595b30af3 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8595b30af3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8595b30af3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2021-04-03 01:28:20 UTC
FEDORA-2021-8595b30af3 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2021-05-15 20:55:54 UTC
FEDORA-2021-25202922d4 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-25202922d4

Comment 19 Fedora Update System 2021-05-16 03:02:41 UTC
FEDORA-2021-25202922d4 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-25202922d4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-25202922d4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Fedora Update System 2021-05-27 01:04:25 UTC
FEDORA-2021-25202922d4 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.